Bug 177146 - httpd-manual broken japanese and korean pages
httpd-manual broken japanese and korean pages
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 12:52 EST by Kazutoshi Morioka
Modified: 2008-03-09 21:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2006-01-06 12:52:14 EST
Description of problem:
Japanese and Korean documents in httpd-manual packages can't be displayed.
The httpd send charset=UTF-8, but documents are encoded in EUC-JP or EUC-KR.

Version-Release number of selected component (if applicable):
2.0.54-10.2

How reproducible:
Every time.

Steps to Reproduce:
1.yum -y install httpd httpd-manual
2.server restart httpd
3.htmlview http://localhost/manual/ja/
4.htmlview http://localhost/manual/ko/
  
Actual results:
Japanese and Korean characters are currupted.
$ wget -S --spider http://localhost/manual/ja/
--02:51:37--  http://localhost/manual/ja/
           => `index.html'
Resolving localhost... 127.0.0.1
Connecting to localhost|127.0.0.1|:80... connected.
HTTP request sent, awaiting response...
  HTTP/1.1 200 OK
  Date: Fri, 06 Jan 2006 17:51:37 GMT
  Server: Apache/2.0.54 (Fedora)
  Content-Location: index.html.ja.euc-jp
  Vary: negotiate,accept-language,accept-charset
  TCN: choice
  Last-Modified: Sun, 20 Feb 2005 11:09:12 GMT
  ETag: "1f809a-1d07-6099a600;1f8095-25b-6099a600"
  Accept-Ranges: bytes
  Content-Length: 7431
  Connection: close
  Content-Type: text/html; charset=UTF-8
  Content-Language: ja
  Expires: Fri, 06 Jan 2006 17:51:37 GMT
Length: 7,431 (7.3K) [text/html]
200 OK

Expected results:
Documents are displayed in Japanese or Korean characters.
httpd send proper charset (EUC-JP or EUC-KR)

Additional info:
Disabling AddDefaultCharset directive can workaround this.
But httpd dosen't send charset without AddDefaultCharset.

FC3 httpd.i386 0:2.0.53-3.3 dosen't have this problem.
Japanese and Korean documents are displayed properly.

Rawhide's httpd-manual-2.2.0 won't work with contents negotiation.
httpd-manual-2.2.0 always displays english documents only.
Comment 1 Christian Iseli 2007-01-22 05:26:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Kazutoshi Morioka 2007-01-22 06:45:24 EST
From FC5, httpd-manual package doesn't include japanese nor korean documents.
So, this problem doesn't exist in FC5/FC6.

Note You need to log in before you can comment on or make changes to this bug.